<!DOCTYPE html>

<html lang="en" data-content_root="../../../../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>sagace.exceptions.infrastructure.authentication_error &#8212; sagace 2025 documentation</title>
    <link rel="stylesheet" type="text/css" href="../../../../_static/pygments.css?v=5ecbeea2" />
    <link rel="stylesheet" type="text/css" href="../../../../_static/basic.css?v=b08954a9" />
    <link rel="stylesheet" type="text/css" href="../../../../_static/alabaster.css?v=27fed22d" />
    <script src="../../../../_static/documentation_options.js?v=cb975c41"></script>
    <script src="../../../../_static/doctools.js?v=9bcbadda"></script>
    <script src="../../../../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../../../../genindex.html" />
    <link rel="search" title="Search" href="../../../../search.html" />
   
  <link rel="stylesheet" href="../../../../_static/custom.css" type="text/css" />
  

  
  

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <h1>Source code for sagace.exceptions.infrastructure.authentication_error</h1><div class="highlight"><pre>
<span></span><span class="c1"># -*- coding: utf-8 -*-</span>
<span class="sd">&quot;&quot;&quot;</span>
<span class="sd">--------------------------------------------------------------------------------------------------------------------</span>

<span class="sd">Module: Authentication Errors</span>
<span class="sd">~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~</span>

<span class="sd">Este módulo define a exceção `AuthenticationFailedError`, utilizada para indicar falhas no processo de autenticação.</span>

<span class="sd">Obs.:</span>

<span class="sd">- Segue os princípios da **Clean Architecture**, separando a lógica de erro do domínio da aplicação.</span>
<span class="sd">- Aplica o princípio **Liskov Substitution Principle (LSP)**, pois `AuthenticationFailedError` estende `InfrastructureError`</span>
<span class="sd">  sem modificar o comportamento esperado da classe base.</span>

<span class="sd">Author:           @diego.yosiura</span>
<span class="sd">Last Update:      27/02/2025 16:07</span>
<span class="sd">Created:          27/02/2025 16:07</span>
<span class="sd">Copyright:        (c) Ampere Consultoria Ltda</span>
<span class="sd">Original Project: sagace-v2-package</span>
<span class="sd">IDE:              PyCharm</span>
<span class="sd">&quot;&quot;&quot;</span>

<span class="c1"># Importa a classe base InfrastructureError para definir exceções relacionadas à infraestrutura</span>
<span class="kn">from</span><span class="w"> </span><span class="nn">.</span><span class="w"> </span><span class="kn">import</span> <span class="n">InfrastructureError</span>


<div class="viewcode-block" id="AuthenticationFailedError">
<a class="viewcode-back" href="../../../../sagace.exceptions.infrastructure.html#sagace.exceptions.infrastructure.authentication_error.AuthenticationFailedError">[docs]</a>
<span class="k">class</span><span class="w"> </span><span class="nc">AuthenticationFailedError</span><span class="p">(</span><span class="n">InfrastructureError</span><span class="p">):</span>
<span class="w">    </span><span class="sd">&quot;&quot;&quot;</span>
<span class="sd">    Exceção que representa uma falha no processo de autenticação de um usuário.</span>

<span class="sd">    Esta exceção deve ser lançada quando a autenticação falha devido a credenciais inválidas</span>
<span class="sd">    ou outros problemas que impeçam a autenticação bem-sucedida.</span>

<span class="sd">    Herda de:</span>
<span class="sd">        InfrastructureError: Classe base para erros de infraestrutura.</span>

<span class="sd">    Exemplo de uso:</span>
<span class="sd">        &gt;&gt;&gt; raise AuthenticationFailedError()</span>

<span class="sd">    &quot;&quot;&quot;</span>

    <span class="k">def</span><span class="w"> </span><span class="fm">__init__</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
<span class="w">        </span><span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Inicializa a exceção com uma mensagem de erro padrão.</span>

<span class="sd">        O princípio **Open/Closed Principle (OCP)** é aplicado aqui, pois a classe pode ser</span>
<span class="sd">        estendida no futuro para suportar diferentes tipos de falhas de autenticação sem</span>
<span class="sd">        modificar o código existente.</span>
<span class="sd">        &quot;&quot;&quot;</span>
        <span class="c1"># Chama o construtor da classe base com a mensagem de erro apropriada</span>
        <span class="nb">super</span><span class="p">()</span><span class="o">.</span><span class="fm">__init__</span><span class="p">(</span><span class="s2">&quot;Authentication process failed.&quot;</span><span class="p">)</span>  <span class="c1"># Mensagem fixa indicando falha na autenticação</span></div>

</pre></div>

          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="Main">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../../../../index.html">sagace</a></h1>









<search id="searchbox" style="display: none" role="search">
    <div class="searchformwrapper">
    <form class="search" action="../../../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" placeholder="Search"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</search>
<script>document.getElementById('searchbox').style.display = "block"</script><h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Conteúdo:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../../../modules.html">sagace</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../../../../index.html">Documentation overview</a><ul>
  <li><a href="../../../index.html">Module code</a><ul>
  </ul></li>
  </ul></li>
</ul>
</div>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &#169;2025, Ampere Consultoria.
      
      |
      Powered by <a href="https://www.sphinx-doc.org/">Sphinx 8.2.1</a>
      &amp; <a href="https://alabaster.readthedocs.io">Alabaster 1.0.0</a>
      
    </div>

    

    
  </body>
</html>